- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# FbxWriterFbx5 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 24 of file fbxwriterfbx5.h.

`#include <fbxwriterfbx5.h>`

Inheritance diagram for FbxWriterFbx5:
[legend]

List of all members.

## Classes
struct | SurfaceMaterialAnimatedChannels
struct | TextureAnimatedChannels
## Public Types
enum | EExportMode { eASCII, eBINARY, eENCRYPTED }
## Public Member Functions
| FbxWriterFbx5 (FbxManager &pManager, FbxExporter &pExporter, int pID)
virtual | ~FbxWriterFbx5 ()
virtual bool | FileCreate (char *pFileName)
| Creates a new file.
virtual bool | FileCreate (FbxStream *pStream, void *pStreamData)
| Creates a new file via a stream.
virtual bool | FileClose ()
| Closes the file.
virtual bool | IsFileOpen ()
| Test if the file is open.
void | SetExportMode (EExportMode pMode)
virtual void | GetWriteOptions ()
| Setup write options.
virtual bool | Write (FbxDocument *pDocument)
| Writes content to the specified file with given stream options.
virtual bool | Write (FbxDocument *pDocument, FbxIO *pFbx)
virtual bool | PreprocessScene (FbxScene &pScene)
| Pre-processes the scene.
virtual bool | PostprocessScene (FbxScene &pScene)
| Post-processes the scene.
virtual bool | SupportsStreams () const
| Returns true if this writer supports FbxStream I/O.

## Member Enumeration Documentation

enum EExportMode

Search for all occurrences

Enumerator:

  eASCII | Search for all occurrences
  eBINARY | Search for all occurrences
  eENCRYPTED | Search for all occurrences

Definition at line 35 of file fbxwriterfbx5.h.

        {
            eASCII,
            eBINARY,
            eENCRYPTED
        } EExportMode;

## Constructor & Destructor Documentation

FbxWriterFbx5 | ( | FbxManager & | pManager,
|  | FbxExporter & | pExporter,
|  | int | pID
| ) |  |

virtual ~FbxWriterFbx5 | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool FileCreate | ( | char * | pFileName | ) | `[virtual]`

Search for all occurrences

Creates a new file.

Parameters:

  pFileName | The name of the newly created file.

Implements FbxWriter.

virtual bool FileCreate | ( | FbxStream * | pStream,
|  | void * | pStreamData
| ) |  | `[virtual]`

Search for all occurrences

Creates a new file via a stream.

Parameters:

  pStream | The stream to write to.
  pStreamData | the user-defined stream data to be written.

Reimplemented from FbxWriter.

virtual bool FileClose | ( |  | ) | `[virtual]`

Search for all occurrences

Closes the file.

Implements FbxWriter.

virtual bool IsFileOpen | ( |  | ) | `[virtual]`

Search for all occurrences

Test if the file is open.

Implements FbxWriter.

void SetExportMode | ( | EExportMode | pMode | ) |

Search for all occurrences

virtual void GetWriteOptions | ( |  | ) | `[virtual]`

Search for all occurrences

Setup write options.

Implements FbxWriter.

virtual bool Write | ( | FbxDocument * | pDocument | ) | `[virtual]`

Search for all occurrences

Writes content to the specified file with given stream options.

Parameters:

  pDocument | FbxDocument to write file data to.

Implements FbxWriter.

virtual bool Write | ( | FbxDocument * | pDocument,
|  | FbxIO * | pFbx
| ) |  | `[virtual]`

Search for all occurrences

virtual bool PreprocessScene | ( | FbxScene & | pScene | ) | `[virtual]`

Search for all occurrences

Pre-processes the scene.

Parameters:

  pScene | The scene needs to be pre-processed.

Implements FbxWriter.

virtual bool PostprocessScene | ( | FbxScene & | pScene | ) | `[virtual]`

Search for all occurrences

Post-processes the scene.

Parameters:

  pScene | The scene needs to be post-processed.

Implements FbxWriter.

virtual bool SupportsStreams | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Returns true if this writer supports FbxStream I/O.

Default value is false.

Reimplemented from FbxWriter.

Definition at line 51 of file fbxwriterfbx5.h.

    { return true; }

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbx/fbxwriterfbx5.h

FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5
FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5 FbxWriterFbx5